#
# ********** server config **********
#
server.port=8080
server.servlet.context-path=/
server.servlet.session.timeout=PT2H
spring.servlet.multipart.max-request-size=100MB
spring.servlet.multipart.max-file-size=100MB
spring.main.allow-bean-definition-overriding=true
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
server.tomcat.threads.max=800
server.tomcat.max-connections=20000
server.tomcat.connection-timeout=60000
#
# ********** mysql config **********
#
db.host=rm-wz9m2v52uw2at1173.mysql.rds.aliyuncs.com
db.port=3306
db.database=exam_reserve_db
com.qmth.datasource.username=exam_reserve
com.qmth.datasource.password=exam_reserve
com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.database}?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=GMT%2b8&rewriteBatchedStatements=true
com.qmth.datasource.max-pool-size=200
com.qmth.datasource.min-idle=10
#
# ********** redis config **********
#
com.qmth.redis.host=r-wz9utlnf2gp7hiqoqi.redis.rds.aliyuncs.com
com.qmth.redis.password=123456
com.qmth.redis.port=6379
com.qmth.redis.db=15
#
# ********** MQ config **********
#
rocketmq.name-server=192.168.10.83:9876
rocketmq.producer.group=exam_reserve_producer
rocketmq.consumer.group=exam_reserve_consumer
rocketmq.topic=exam_reserve_topic
#rocketmq.producer.access-key=
#rocketmq.producer.secret-key=
#
# ********** file config **********
#
com.qmth.fss.config=oss://***@apply-file.oss-cn-shenzhen-internal.aliyuncs.com
com.qmth.fss.server=https://apply-file.qmth.com.cn
#
# ********** sys config **********
#
com.qmth.mybatis.block-attack=false
com.qmth.mybatis.log-level=info
com.qmth.logging.root-level=info
com.qmth.logging.file-path=logs/exam-reserve.log
#
# ********** auth config **********
#
com.qmth.auth.time-max-delay=10m
com.qmth.auth.time-max-ahead=10m
#
# ********** api rate limit config **********
#
com.qmth.api_limit_expression=200/1s
#
# ********** wx config **********
#
wx.app_id=wx90d496f6838bcff7
wx.app_secret=7802a1c8ff50344977fa0c18b4d147a8
